#!/usr/bin/env bash

# Slurm job configuration
#SBATCH --nodes=2
#SBATCH --ntasks=4
#SBATCH --ntasks-per-node=2
#SBATCH --output=output_%j.out
#SBATCH --error=error_%j.er
#SBATCH --time=00:10:00
#SBATCH --job-name=HOROVOD_KERAS_MNIST
#SBATCH --gres=gpu:2 --partition=develgpus
#SBATCH --mail-type=ALL

# Load the required modules
module use /usr/local/software/jureca/OtherStages
module load Stages/2018b
module load GCC/7.3.0
module load MVAPICH2/2.3-GDR
module load TensorFlow/1.12.0-GPU-Python-3.6.6
module load Keras/2.2.4-GPU-Python-3.6.6
module load Horovod/0.15.2-GPU-Python-3.6.6

# Run the program
srun python -u mnist.py
