#!/usr/bin/env bash

# Slurm job configuration
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --ntasks-per-node=1
#SBATCH --output=output_%j.out
#SBATCH --error=error_%j.er
#SBATCH --time=00:10:00
#SBATCH --job-name=KERAS_MNIST_CNN
#SBATCH --gres=gpu:1 --partition=develgpus
#SBATCH --mail-type=ALL

# Load the required modules
module use /usr/local/software/jureca/OtherStages
module load Stages/2018b
module load GCC/7.3.0
module load TensorFlow/1.12.0-GPU-Python-2.7.15
module load Keras/2.2.4-GPU-Python-2.7.15

# Run the program
srun python -u mnist.py
